///////////////////////////////////////////////////////////////////////////////
//
//  Class code created by the Xbase++ FormDesigner
//    Creation date: 29.03.2013 Creation time: 22:55:18
//
//  Contents  :
//    This file contains the basic structure for the utilization-level of
//    a form. It may (and should) be modified.
//
///////////////////////////////////////////////////////////////////////////////

#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"

// Xbase++ 1.9 compatibility
#pragma library( "xppui3.lib" )

// Xbase++ 1.9 compatibility
#ifndef XBP_RELXPOS
#define XBP_RELXPOS                    0x10
#define XBP_RELYPOS                    0x20
#define XBP_RELWIDTH                   0x40
#define XBP_RELHEIGHT                  0x80
#define XBP_XCENTER                    0x1000
#define XBP_YCENTER                    0x2000
#endif


******************************************************************************
* This class is derived from the implementation-level class of the form.
* Instance variables are declared in the _Form class.
******************************************************************************
CLASS Form FROM _Form
   EXPORTED:
      METHOD init
      METHOD create
ENDCLASS

******************************************************************************
* Initialize form
******************************************************************************
METHOD Form:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   * Execute method of the super class
   ::_Form:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

RETURN self


******************************************************************************
* Request system resources
******************************************************************************
METHOD Form:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   * Execute method of the super class
   ::_Form:create( oParent, oOwner, aPos, aSize, aPP, lVisible )


   * Display the form
   ::show()

RETURN self


******************************************************************************
* Main procedure to test a form
******************************************************************************
PROCEDURE Main

   LOCAL nEvent, oXbp, mp1, mp2, oDlg

   // Xbase++ 1.9 compatibility   
   LayoutManager()

   oDlg := Form():New():Create()
   oDlg:LeftEdge:Selected   := {|uNil1,uNil2,oXbp| SwitchFlag(XBP_LEFTEDGE, oXbp)}
   oDlg:TopEdge:Selected    := {|uNil1,uNil2,oXbp| SwitchFlag(XBP_TOPEDGE, oXbp)}
   oDlg:RightEdge:Selected  := {|uNil1,uNil2,oXbp| SwitchFlag(XBP_RIGHTEDGE, oXbp)}
   oDlg:BottomEdge:Selected := {|uNil1,uNil2,oXbp| SwitchFlag(XBP_BOTTOMEDGE, oXbp)}
   oDlg:RelX:Selected       := {|uNil1,uNil2,oXbp| SwitchFlag(XBP_RELXPOS, oXbp)}
   oDlg:RelY:Selected       := {|uNil1,uNil2,oXbp| SwitchFlag(XBP_RELYPOS, oXbp)}
   oDlg:RelWidth:Selected   := {|uNil1,uNil2,oXbp| SwitchFlag(XBP_RELWIDTH, oXbp)}
   oDlg:RelHeight:Selected  := {|uNil1,uNil2,oXbp| SwitchFlag(XBP_RELHEIGHT, oXbp)}

   nEvent := xbe_None
   WHILE nEvent != xbeP_Close
      nEvent := AppEvent ( @mp1, @mp2, @oXbp )
      oXbp:HandleEvent ( nEvent, mp1, mp2 )
      IF nEvent == xbeP_Quit
         QUIT   // AppQuit()
      ENDIF
   ENDDO

RETURN


PROCEDURE AppSys()
RETURN


PROCEDURE SwitchFlag( nFlag, oCb )
 LOCAL oDlg

   oDlg := GetParentForm( oCb )
   IF BAnd(oDlg:ListBox:LayoutAlign, nFlag) == nFlag
      oDlg:ListBox:LayoutAlign := BXOr( oDlg:ListBox:LayoutAlign, nFlag )
   ELSE
      oDlg:ListBox:LayoutAlign := oDlg:ListBox:LayoutAlign + nFlag
   ENDIF

   oDlg:ListBox:Configure()

RETURN

RETURN
//EOF
/////